﻿    --------------------------
    --[[    Layout Settings ]]
    --------------------------
    local ButtonSize=32;--  Size to make buttons
     
    local Padding=12;-- Buttons are placed this far from the edge of the container frame
    local Backdrop={
        bgFile="Interface\\DialogFrame\\UI-DialogBox-Background", 
        edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
        tile=true,tileSize=32,edgeSize=32, 
        insets={left=11,right=12,top=12,bottom=12}
    };
     
    local ButtonData={--    Note: Buttons will be created top-down, then left-right
    --[[    Data Format (All arguments are optional)
            Icon:       Icon file
            Text:       Button text
            Tooltip:    Tooltip text
            Message:    Message to send     Format: {<Message>, <Channel>, ...} Can contain multiple messages as pairs of message and channel strings
            Emote:      Perform emote       Format: {<EmoteToken>, <TargetUnit>}    -or-    <EmoteToken>
            Attributes: List of attributes to apply (keys are attributes, values are values)
    --]]
        {-- Container 1
            {-- Column 1
                {
                    Icon="Interface\\Icons\\Inv_ore_iron_01";
                    Tooltip="Erz-Event";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(178019)).."!","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\Icons\\Achievement_zone_grizzlyhills_01";
                    Tooltip="Berg aufstellen/reinreiten";
                    Message={
                        "ErzEvent: Alle oben auf dem Berg aufstellen!","RAID_WARNING";
						"Beziehungsweise hochreiten bei [{rt8}]","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_2";
                    Tooltip="Kreis inc";
                    Message={
                        "ErzEvent: [{rt2}] INC! (Horde Eingang)","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_1";
                    Tooltip="Stern inc";
                    Message={
                        "ErzEvent: [{rt1}] INC! (Ally Eingang)","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Achievement_zone_grizzlyhills_05";
                    Tooltip="Berg inc";
                    Message={
                        "ErzEvent: Berg INC!","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\Icons\\Spell_frost_frostarmor02";
                    Tooltip="Portal zerstören";
                    Message={
                        "ErzEvent: Portalwächter töten!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\inv_ore_blackrock_nugget";
                    Tooltip="Erz abgeben";
                    Message={
                        ""..select(1,GetSpellLink(166579)).." und nicht zergen!","RAID_WARNING";
                    };
                };
			};
			{-- Column 2
                {
                    Icon="Interface\\Icons\\Achievement_halloween_ghost_01";
                    Tooltip="Geister-Event";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(178020)).."!","RAID_WARNING";
						"Finger weg vom Rare!","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\Icons\\ability_mount_ridinghorse";
                    Tooltip="über FH reiten";
                    Message={
					    "Alle über Marktfriedhof reiten zum "..select(1,GetSpellLink(178020)).."!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_5";
                    Tooltip="Mond inc";
                    Message={
					    "GeisterEvent: >>{rt5}<< INC! (vom Friedhof Mitte aus)!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Ability_bossfelorcs_necromancer_purple";
                    Tooltip="Lila Horde";
                    Message={
					    "GeisterEvent: Feinde mit Lila Aura töten!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_5";
                    Tooltip="Mond aufstellen";
                    Message={
					    "GeisterEvent: Wir deffen oben bei >>{rt5}<< und nicht unten beim Event!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\inv_banner_stormshield";
                    Tooltip="unten aufstellen";
                    Message={
					    "GeisterEvent: Alle unten bei >>{rt8}<< aufstellen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\inv_weapon_rifle_05";
                    Tooltip="Geister saugen";
                    Message={
                        ""..select(1,GetSpellLink(177583)).." und nicht zergen!","RAID_WARNING";
                    };
                };
			};
			{-- Column 3
                {
                    Icon="Interface\\Icons\\trade_archaeology_apexisstatue";
                    Tooltip="Minen-Event";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(186255)).."!","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\Icons\\Creatureportrait_ropeladder01";
                    Tooltip="HordeEingang";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(186255)).." über Hordetunnel rein!","RAID_WARNING";
                    };
				};
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_7";
                    Tooltip="Hordeseite inc";
                    Message={
                        "[{rt7}] Hordenseite INC","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_7";
                    Tooltip="Allyseite inc";
                    Message={
                        "[{rt7}] Allyseite INC","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Misc_arrowlup";
                    Tooltip="Hordetunnel raus";
                    Message={
					    "Gehen nach dem Event über Hordetunnel raus!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_7";
                    Tooltip="Kreuz aufstellen";
                    Message={
                        "Alle beim [{rt7}] Hordeeingang deffen!","RAID_WARNING";
                        "Es reicht wenn 2-3 Leute Vögel sammeln!","INSTANCE_CHAT";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_ingot_iron";
                    Tooltip="Plattform aufstellen";
                    Message={
                        "Alle auf der Mittelplattform sammeln!","RAID_WARNING";
                        "Es reicht wenn 2-3 Leute Vögel sammeln!","INSTANCE_CHAT";
                    };
                };
				{
                    Icon="Interface\\Icons\\trade_archaeology_apexisstatue";
                    Tooltip="Vögel abgeben";
                    Message={
                        "GeisterVögel töten & "..select(1,GetSpellLink(189899)).." bei Rukmaz abgeben!","RAID_WARNING";
                    };
                };
			};
			{-- Column 4
				{
                    Icon="Interface\\Icons\\Ability_rogue_sprint_blue";
                    Tooltip="Stadion-Event";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(178022)).."!","RAID_WARNING";
						"Eingänge dicht machen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Ability_mount_waterstridermount";
                    Tooltip="von hinten";
                    Message={
					    "Machen "..select(1,GetSpellLink(178022)).." von hinten übers Wasser!","RAID_WARNING";
                    };
                };				
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_6";
                    Tooltip="Blau inc";
                    Message={
                        "[{rt6}] Horde Eingang INC","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_4";
                    Tooltip="Grün inc";
                    Message={
                        "[{rt4}] Ally Eingang INC","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\6or_garrison_stonewall";
                    Tooltip="Mauer aufstellen";
                    Message={
					    "Alle oben auf der Mauer aufstellen zwischen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_pet_baby_elekk_green";
                    Tooltip="Elek rein";
                    Message={
					    "Alle REIN in den "..select(1,GetSpellLink(166784)).."/"..select(1,GetSpellLink(166819)).."! (15 Leute=300% Speed)","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_pet_baby_elekk_red";
                    Tooltip="Elek raus";
                    Message={
					    "Alle RAUS aus dem "..select(1,GetSpellLink(166784)).."/"..select(1,GetSpellLink(166819)).."!","RAID_WARNING";
						"Wir Zögern das Event hinaus!","INSTANCE_CHAT";
					};
                };
			};
			{-- Column 5
                {
                    Icon="Interface\\Icons\\Achievement_reputation_ogre";
                    Tooltip="Oger-Event";
                    Message={
                        "Alle zum "..select(1,GetSpellLink(178021)).."!","RAID_WARNING";
						"Finger weg vom Rare!","RAID_WARNING";
					};
				};
				{
                    Icon="Interface\\Icons\\Ability_mount_waterstridermount";
                    Tooltip="von hinten";
                    Message={
                        "Machen "..select(1,GetSpellLink(178021)).." von hinten!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Spell_fire_flameshock";
                    Tooltip="vorn inc";
                    Message={
                        "Erstes Feuer INC!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Spell_fire_flameshock";
                    Tooltip="hinten inc";
                    Message={
                        "Hinteres Feuer INC!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Creatureportrait_ropeladder01";
                    Tooltip="Treppe aufstellen";
                    Message={
                        "Oberhalb der ersten Treppe sammeln!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Spell_fire_flameshock";
                    Tooltip="1. Feuer aufstellen";
                    Message={
                        "Unten beim 1. Feuer sammeln!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Achievement_bg_killflagcarriers_grabflag_capit";
                    Tooltip="Basen besetzen";
                    Message={
                        "Alle Feuer einnehmen & dann beim 1. Feuer deffen","RAID_WARNING";
                    };
                };
			};
			{-- Column 6
				{
                    Icon="Interface\\Icons\\achievement_boss_general_nazgrim";
                    Tooltip="Boss Frontal";
                    Message={
                        "Bereit machen! Wir incen den Boss FRONTAL!","RAID_WARNING";
                        "Nicht die Gladiatoren pullen! Focus Boss!","RAID_WARNING";
     				};
                };
				{
                    Icon="Interface\\Icons\\Achievement_boss_operator_thogar";
                    Tooltip="Boss nicht Frontal";
                    Message={
                        "Wir incen den Boss NICHT frontal!","RAID_WARNING";
						"Bereit machen zum taktischen Rückzug!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\misc_arrowleft";
                    Tooltip="links übers Wasser";
                    Message={
                        "Bereit machen! Wir incen den Boss von LINKS übers Wasser!","RAID_WARNING";
						""..select(1,GetSpellLink(3714)).." anwerfen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\misc_arrowright";
                    Tooltip="rechts übers Wasser";
                    Message={
                        "Bereit machen! Wir incen den Boss von RECHTS übers Wasser!","RAID_WARNING";
						""..select(1,GetSpellLink(3714)).." anwerfen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Spell_hunter_focusingshot";
                    Tooltip="Campen";
                    Message={
                        "STELLUNG HALTEN! Wir campen die feindliche Basis!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Misc_arrowdown";
                    Tooltip="gleicher weg";
                    Message={
                        "Gleicher Weg zurück! "..select(2,GetItemInfo(116410)).." anwerfen!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\Inv_helmet_plate_challengepaladin_d_01";
                    Tooltip="Crio folgen";
                    Message={
                        "[{rt3}] (Crio) folgen!","RAID_WARNING";
                        "^^ auch auf http://twitch.tv/cryon2k","INSTANCE_CHAT";
                    };
					Attributes={
                        type="macro";
                        macrotext1="/run Minimap:PingLocation(player)";
                    };
                    Emote="FOLLOWME";
				};
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_8";
                    Tooltip="Skull aufstellen";
					Message={
                        "Alle bei [{rt8}] sammeln!","RAID_WARNING";
						"^^ Dieses Mark wird situationsbedingt umgestellt!","INSTANCE_CHAT";
                    };
					Attributes={
                        type="macro";
                        macrotext1="/run Minimap:PingLocation(player)";
                    };
                };

			};
			{-- Column 7
				{
                    Icon="Interface\\Icons\\70_inscription_deck_dominion_5";
                    Tooltip="Flag 5";
                    Message={
                        "Alle bei der 5. Flagge sammeln! (vor der Feindbasis)","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\70_inscription_deck_dominion_4";
                    Tooltip="Flag 4";
                    Message={
                        "Alle bei der 4. Flagge sammeln!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\70_inscription_deck_dominion_3";
                    Tooltip="Flag 3";
                    Message={
                        "Alle bei der 3. Flagge sammeln! (in der Mitte)","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\70_inscription_deck_dominion_2";
                    Tooltip="Flag 2";
                    Message={
                        "Alle bei der 2. Flagge sammeln!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\70_inscription_deck_dominion_a";
                    Tooltip="Flag 1";
                    Message={
                        "Alle bei der 1. Flagge sammeln! (vor unserer Basis)","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\ability_mount_ridinghorse";
                    Tooltip="Stampede";
                    Message={
                        "STAMPEDE INC! Runter von der Straße & "..select(2,GetItemInfo(116411)).." anwerfen!","RAID_WARNING";
                    };
                    Emote="DUCK";
                };
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_3";
                    Tooltip="Lila aufstellen";
                    Message={
                        "Alle beim {rt3}Lila-Worldmark sammeln! (nördlich vom Markfriedhof)","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\achievement_bg_xkills_avgraveyard";
                    Tooltip="FH aufstellen";
                    Message={
                        "Alle beim Marktfriedhof sammeln!","RAID_WARNING";
                    };
                };

            };
            {-- Column 8
				{
                    Icon="Interface\\Icons\\inv_weapon_bow_05";
                    Tooltip="Ranged";
                    Message={
                        "Nur Melees an die Flagge! Ranged & Heiler auf Säulen stellen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\achievement_garrison_tier01_horde";
                    Tooltip="Turm";
                    Message={
                        "Alle Ranged & Heiler auf den Turm hoch!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\achievement_bg_xkills_avgraveyard";
                    Tooltip="FH tappen";
                    Message={
                        "WICHTIG: 2-3 Leute den Marktfriedhof tappen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Achievement_Reputation_Ogre";
                    Tooltip="Kor'lok";
                    Message={
                        "Alle bei Kor'loks Thron sammeln! (NICHT PULLEN)","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_holiday_brewfestbuff_01";
                    Tooltip="buffen";
                    Message={
                        "Buffs, Flasks & "..select(2,GetItemInfo(114982)).." einwerfen!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\ability_hunter_markedfordeath";
                    Tooltip="von hinten";
                    Message={
                        "Bereit machen! Wir clearen den Feind gleich von hinten!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_misc_flower_02";
                    Tooltip="Blumen";
                    Message={
                        "Alle in den Wald und "..select(2,GetItemInfo(114982)).." sammeln!","RAID_WARNING";
					};
                };

				{
                    Icon="Interface\\Icons\\ability_creature_cursed_02";
                    Tooltip="Clearen";
                    Message={
                        "STELLUNG HALTEN UND FEINDE CLEAREN!","RAID_WARNING";
                    };
                };				
			};
			{-- Column 9
                {
                    Icon="Interface\\Icons\\misc_arrowlup";
                    Tooltip="vor";
                    Message={
                        "Alle VOR PUSHEN zur nächsten Flagge!","RAID_WARNING";
                    };
                    Emote="CHARGE";
                };
                {
                    Icon="Interface\\Icons\\misc_arrowdown";
                    Tooltip="zurück";
                    Message={
                        "Alle ZURÜCK fallen lassen zur Flagge!","RAID_WARNING";
                    };
                    Emote="CHARGE";
                };
                {
                    Icon="Interface\\Icons\\misc_arrowleft";
                    Tooltip="links";
                    Message={
                        "Nach Flagge NICHT vor pushen!","RAID_WARNING";
						"Gehen LINKS rum! Follow [{rt3}]!","RAID_WARNING";
                    };
                    Emote="FOLLOWME";
                };
                {
                    Icon="Interface\\Icons\\misc_arrowright";
                    Tooltip="rechts";
                    Message={
                        "Nach Flagge NICHT vor pushen","RAID_WARNING";
						"Gehen RECHTS rum! Follow [{rt3}]!","RAID_WARNING";
					};
                    Emote="FOLLOWME";
                };
                {
                    Icon="Interface\\Icons\\Misc_arrowleft";
                    Tooltip="links rum";
                    Message={
                        "Alle [{rt8}] LINKS rum zur letzten Flagge!","RAID_WARNING";
                    };
                    Emote="CHARGE";
                };
				{
                    Icon="Interface\\Icons\\Spell_holy_borrowedtime";
                    Tooltip="flag noch tappen";
                    Message={
                        "Wir tappen noch diese Flagge und gehen dann zum Event!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Inv_jewelry_ring_106";
                    Tooltip="Ring";
                    Message={
                        "Wir machen den Ring für Klassenbücher, "..select(1,GetCurrencyLink(944)).." (=Bonusehre)","RAID_WARNING";
						"und "..select(2,GetItemInfo(116411)).."!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\spell_holy_layonhands";
                    Tooltip="BattleRez";
                    Message={
                        ""..select(1,GetSpellLink(61999)).." & "..select(1,GetSpellLink(20484)).." auf unsere Toten!","RAID_WARNING";
                    };
                };
            };
            {-- Column 10
				{
                    Icon="Interface\\Icons\\ability_hunter_traplauncher";
                    Tooltip="trap";
                    Message={
                        "VORSICHT HINTERHALT!","RAID_WARNING";
						""..select(2,GetItemInfo(116411)).." anwerfen und verteilen!","RAID_WARNING";
                    };
                    Emote="FLEE";
                };
				{
                    Icon="Interface\\Icons\\Inv_first_aid_70_medicalkit";
                    Tooltip="heal me";
                    Message={
                        "Focus Heal auf {rt3}Crio für ultra Raidheal durch "..select(1,GetSpellLink(199428)).."!","RAID_WARNING";
					};
                };
                {
                    Icon="Interface\\Icons\\Achievement_boss_grandwidowfaerlina";
                    Tooltip="vorn";
                    Message={
                        "Base INC Vordereingang! Alle SOFORT in die Base!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\Achievement_boss_grandwidowfaerlina";
                    Tooltip="Seite";
                    Message={
                        "Base INC Seiteneingang!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\Achievement_boss_grandwidowfaerlina";
                    Tooltip="hinten";
                    Message={
                        "Base INC Hintereingang!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\Achievement_boss_grandwidowfaerlina";
                    Tooltip="Back 2 Base";
                    Message={
                        "Alle in unsere Base und "..select(1,GetCurrencyLink(944)).." abgeben!","RAID_WARNING";
					};
                    Emote="FLEE";
                };
				{
                    Icon="Interface\\Icons\\inv_egg_06";
                    Tooltip="Dinos beschwören";
                    Message={
                        ""..select(2,GetItemInfo(116984)).." & "..select(2,GetItemInfo(118425)).." benutzen!","RAID_WARNING";
                    };
                };		
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_7";
                    Tooltip="STOP";
                    Message={
                        "STOP! Letzte Ansage ignorieren!","RAID_WARNING";
                        "^^ Habe mich verklickt. Neue Ansage kommt gleich.","INSTANCE_CHAT";
                    };
					Emote="WAIT";
				};				
			};
   			{-- Column 11
                {
                    Icon="Interface\\Icons\\pvpcurrency-honor-horde";
                    Tooltip="inc";
                    Message={
                        "{rt8} !! ENEMY INC !! {rt8}","RAID_WARNING";
                    };
                    Emote="CHARGE";
				};
                {
                    Icon="Interface\\Icons\\Spell_holy_blessingofstrength";
                    Tooltip="CHARGE";
                    Message={
                        "{rt8} !! ATTACKE !! {rt8}","RAID_WARNING";
                    };
                    Emote="CHARGE";
				};
                {
                    Icon="Interface\\Icons\\spell_nature_bloodlust";
                    Tooltip="HERO";
                    Message={
						""..select(1,GetSpellLink(32182)).." + "..select(2,GetItemInfo(116411)).." anwerfen!","RAID_WARNING";
                        --""..select(2,GetItemInfo(117016)).." aufstellen! ","INSTANCE_CHAT";
						--""..select(2,GetItemInfo(115513)).." aufstellen! ","INSTANCE_CHAT";
						--""..select(2,GetItemInfo(117013)).." auf die Tanks casten!","INSTANCE_CHAT";
						--""..select(2,GetItemInfo(118905)).." auf das HordeArte casten!","INSTANCE_CHAT";
                    };
			        Emote="OPENFIRE";
                };
				{
                    Icon="Interface\\Icons\\inv_enchant_formulasuperior_01";
                    Tooltip="SchutzRolle";
                    Message={
						""..select(2,GetItemInfo(116411)).." & "..select(2,GetItemInfo(111842)).." benutzen!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\inv_6_2raid_trinket_4b";
                    Tooltip="Arte suchen";
                    Message={
                        "Alle Druiden mit "..select(2,GetItemInfo(114842)).." -> "..select(1,GetSpellLink(168506)).." suchen!","RAID_WARNING";
                        "^^ Das Buch dropt bei den Raremobs! Das Arte spawned bei den Events oder bei Kor'lok!","INSTANCE_CHAT";
                    };
                    Emote="FOLLOWME";
				};
                {
                    Icon="Interface\\Icons\\inv_6_2raid_trinket_4a";
                    Tooltip="Sporen auf Arte ";
                    Message={
                        ""..select(2,GetItemInfo(118905)).." auf "..select(1,GetSpellLink(168506)).." casten!","RAID_WARNING";
                    };
                };
                {
                    Icon="Interface\\Icons\\inv_6_2raid_trinket_4c";
                    Tooltip="Arte droppen";
                    Message={
                        ""..select(1,GetSpellLink(168506)).." zum Raid bringen und an den Raidleiter übergeben!","RAID_WARNING";
                    };
                };
				{
                    Icon="Interface\\Icons\\ability_demonhunter_imprison";
                    Tooltip="Arte Gefängnis";
                    Message={
                        ""..select(1,GetSpellLink(168506)).." im Keller der Base! KILL HIM!","RAID_WARNING";
                    };
                };				
			};
			{-- Column 12
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_8";
                    Tooltip="Skull setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 8";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 8";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_7";
                    Tooltip="Kreuz setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 4";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 4";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_5";
                    Tooltip="Mond setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 7";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 7";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_3";
                    Tooltip="Lila setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 3";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 3";
                    };
                };				
				{
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_6";
                    Tooltip="Blau setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 1";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 1";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_4";
                    Tooltip="Grün setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 2";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 2";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_2";
                    Tooltip="Kreis setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 6";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 6";
                    };
                };
                {
                    Icon="Interface\\TargetingFrame\\UI-RaidTargetingIcon_1";
                    Tooltip="Stern setzen";
                    Attributes={
                        type="macro";
                        macrotext1=SLASH_WORLD_MARKER1.." 5";
                        macrotext2=SLASH_CLEAR_WORLD_MARKER1.." 5";
                    };
                };
			};	
		};
    };
------------------------------------------------------------------
--[[    Addon Code (Don't change anything below this line)  ]]
------------------------------------------------------------------
--  Button Handlers
    local function Container_OnEvent(self)
        if not (self.HasProtectedFrame and InCombatLockdown()) then--   Check if we have a protected button and can show/hide ourselves (Protected frames are protected in combat)
            self:SetShown(GetZoneText()==GetMapNameByID(978))
        end
	end
     
    local function Button_OnEnter(self)
        GameTooltip:SetOwner(self,"ANCHOR_TOP");
        GameTooltip:AddLine(self.Tooltip,0,1,0.5);
        GameTooltip:Show();
    end
    local function Button_OnLeave(self) if GameTooltip:IsOwned(self) then GameTooltip:Hide(); end end
    local function Button_OnDragStart(self) self:GetParent():StartMoving(); end
    local function Button_OnDragStop(self) self:GetParent():StopMovingOrSizing(); end
    local function Button_OnClick(self)
        if self.Message then
            for i=1,#self.Message,2 do
                SendChatMessage(self.Message[i],self.Message[i+1]);
            end
        end
        if self.Emote then
            if type(self.Emote)=="table" then
                local target; do--  Prototype variable
                    local unit=self.Emote[2];
                    if unit and UnitExists(unit) and UnitIsPlayer(unit) then
                        local name,server=UnitName(unit);-- Unit name and server
                        target=name..(server and "-"..server:gsub("%s","") or "");--    Format name to <name-server> if necessary
                    end
                end
                DoEmote(self.Emote[1],target);
            else
                DoEmote(self.Emote);
            end
        end
    end
     
    local OffsetX=0;
    for containerid,buttonlist in ipairs(ButtonData) do
    --  Container Frame
        local container=CreateFrame("Frame","AshranCommander"..containerid,UIParent);
        container:SetBackdrop(Backdrop);
    	container:Hide();-- Start hidden
     
    --  Enable Dragging
        container:EnableMouse(true);
        container:SetMovable(true);
        container:SetClampedToScreen(true);
        container:RegisterForDrag("LeftButton");
        container:SetScript("OnDragStart",container.StartMoving);
        container:SetScript("OnDragStop",container.StopMovingOrSizing);
     
    --  Event Handlers
        container:RegisterEvent("PLAYER_ENTERING_WORLD");-- Load screen disapears
        container:RegisterEvent("ZONE_CHANGED_NEW_AREA");-- Moved into new area
        container:RegisterEvent("PLAYER_REGEN_ENABLED");--  Retry when exiting combat
        container:SetScript("OnEvent",Container_OnEvent);
		





	--  Button Factory
        local numrows,buttonid=0,1;
        for column,rowlist in ipairs(buttonlist) do
            numrows=math.max(numrows,#rowlist);
            for row,data in ipairs(rowlist) do
                local btn=CreateFrame("Button","$parentButton"..buttonid,container,data.Attributes and "SecureActionButtonTemplate");
                btn:SetPoint("TOPLEFT",(column-1)*ButtonSize+Padding,-(row-1)*ButtonSize-Padding);--    Yay, math!
                btn:SetSize(ButtonSize,ButtonSize);
     
    --          Extra flair
                btn:SetPushedTexture("Interface\\Buttons\\UI-Quickslot-Depress");
                btn:SetHighlightTexture("Interface\\Buttons\\ButtonHilight-Square","ADD");
     
    --          Pushed texture replaces normal texture
                local icon=btn:CreateTexture(nil,"BACKGROUND");
                icon:SetTexture(data.Icon or "Interface\\Icons\\INV_Misc_QuestionMark");
                icon:SetAllPoints(btn);
     
    --          Button Text
                if data.Text then
                    btn:SetNormalFontObject("GameFontNormalSmall");
                    btn:SetHighlightFontObject("GameFontHighlightSmall");
                    btn:SetDisabledFontObject("GameFontDisableSmall");
                    btn:SetText(data.Text);
                end
     
    --          Register clicks and drag
                btn:RegisterForClicks("AnyUp");--   By default, buttons only respond to LeftUp
                btn:RegisterForDrag("LeftButton");
                btn:HookScript("OnDragStart",Button_OnDragStart);
                btn:HookScript("OnDragStop",Button_OnDragStop);
     
    --          Attribute Setup
                if data.Attributes then
                    container.HasProtectedFrame=true;-- Lets the container frame know we have protected buttons now
                    for key,val in pairs(data.Attributes) do btn:SetAttribute(key,val); end
                end
     
    --          Tooltip Setup
                if data.Tooltip then
                    btn.Tooltip=data.Tooltip;
                    btn:HookScript("OnEnter",Button_OnEnter);
                    btn:HookScript("OnLeave",Button_OnLeave);
                end
     
    --          Chat Handling
                if data.Message or data.Emote then
                    btn.Message=data.Message;
                    btn.Emote=data.Emote;
                    btn:HookScript("OnClick",Button_OnClick);
                end
            end
        end
     
    --  We get to apply the position and size now
        local width=#buttonlist*ButtonSize+Padding*2;
        container:SetPoint("TOPLEFT",512+OffsetX,-256);
        container:SetSize(width,numrows*ButtonSize+Padding*2);--    More math, yay!
        OffsetX=OffsetX+width;
    end